public/index.html
<!DOCTYPE html>
<html class="no-js" lang="ru">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
    <meta name="format-detection" content="telephone=no">
    <title>Index :: Frontend - Test</title>
    <meta name="description" content="Description">
    <meta property="og:url" content="https://">
    <meta property="og:type" content="website">
    <meta property="og:title" content="Index">
    <meta property="twitter:title" content="Index">
    <meta property="og:description" content="description">
    <meta property="twitter:description" content="description">
    <link rel="preconnect" href="https://fonts.googleapis.com">
  </head>
  <body class="body dev">
    <main>
      <div class="wrapper-main">
        <div class="burger"><span></span><span></span><span></span></div>
        <div class="wrapper">
          <div class="wrapper__menu">
            <div class="cross-menu"></div>
            <div class="menu">
              <nav>
                <div class="menu__container">
                  <div class="menu-title">
                    <h6 class="menu-title-text color-grey">Personal</h6>
                  </div>
                  <div class="menu-links">
                    <div class="menu-links__item" data-menu="profile"><span class="menu-link">Profile</span></div>
                    <div class="menu-links__item" data-menu="security"><span class="menu-link">Security</span></div>
                    <div class="menu-links__item" data-menu="notifications"><span class="menu-link">Notifications</span></div>
                  </div>
                </div>
                <div class="menu__container">
                  <div class="menu-title">
                    <h6 class="menu-title-text color-grey">Tesla s.r.L.</h6>
                  </div>
                  <div class="menu-links">
                    <div class="menu-links__item" data-menu="business"><span class="menu-link">Business profile</span></div>
                    <div class="menu-links__item" data-menu="einvoicing"><span class="menu-link">E-invoicing</span></div>
                    <div class="menu-links__item _active" data-menu="plan"><span class="menu-link">Plan and limits</span></div>
                    <div class="menu-links__item" data-menu="team"><span class="menu-link">Team</span></div>
                  </div>
                </div>
              </nav>
            </div>
          </div>
          <div class="wrapper__content">
            <div class="wrapper-container" data-menu="plan" style="display: block">
              <div class="content">
                <div class="content__title">
                  <div class="content-plan-name">
                    <h1>Invoicing Start</h1>
                  </div>
                  <div class="content-plan-change link-common color-blue">Change plan</div>
                </div>
                <div class="content__price">
                  <div class="price">
                    <div class="price__val h2">6,99 €</div>
                    <div class="price__period h4 color-grey">/mo</div>
                  </div>
                </div>
                <div class="content__card"><span class="text-common color-grey">We’ll charge 6,99 € on Jul  24, 2020</span><a class="link-common color-blue" href="#">Change card *** 5423  or billing info</a></div>
                <div class="content__annual">
                  <button class="button _blue _switch" type="button"><span>Switch to annual plan</span></button>
                  <div class="text-common">and save 24,00 € a year</div>
                </div>
                <div class="content__features">
                  <div class="feature-subtitle"> 
                    <h4>
                       Explore new features &#128171;</h4>
                  </div>
                  <div class="feature">
                    <div class="feature-close"></div>
                    <div class="feature-info">
                      <div class="feature-info__title">
                        <h3 class="color-blue">Invoicing Premium</h3>
                      </div>
                      <div class="feature-info__list">
                        <ul class="list-checks">
                          <li class="list-checks__li">Unlimited outgoing e-invoices</li>
                          <li class="list-checks__li">Unlimited connected banks</li>
                          <li class="list-checks__li">10 users</li>
                          <li class="list-checks__li">Expense management</li>
                        </ul>
                      </div>
                    </div>
                    <div class="feature-using">
                      <div class="feature-using__price">
                        <div class="price">
                          <div class="price__val h3">€20,99</div>
                          <div class="price__period h5">/mo</div>
                        </div>
                      </div>
                      <div class="feature-using__text color-grey">billed annually or 24.99 € <br>billed monthly</div>
                      <div class="feature-using__button"><a class="button _red" href="#"><span>
                             Upgrade</span></a></div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="content">
                <div class="switch-wrap">
                  <div class="switch-wrap__buttons">
                    <div class="switch-button _active" data-switch="limits"><span class="switch-button-text">Limits</span></div>
                    <div class="switch-button" data-switch="invoices"><span class="switch-button-text">Invoices</span></div>
                  </div>
                  <div class="switch-wrap__containers">
                    <div class="switch-container" data-switch="limits">
                      <div class="indicators-wrap">
                        <div class="indicator" data-min="7" data-max="10">
                          <div class="indicator__main">
                            <div class="indicator-title">Team members</div>
                            <div class="indicator-counter"><span class="indicator-counter__num _selected">7</span><span class="indicator-counter__num">/</span><span class="indicator-counter__num _general">10</span></div>
                          </div>
                          <div class="indicator__line">
                            <div class="indicator-line"></div>
                          </div>
                          <div class="indicator__using"><span class="color-grey">Need more members? </span><a class="link-common color-grey link-underline" href="#">Upgrade your plan</a></div>
                        </div>
                        <div class="indicator" data-min="1" data-max="1">
                          <div class="indicator__main">
                            <div class="indicator-title">Outgoing e-invoices</div>
                            <div class="indicator-counter"><span class="indicator-counter__num">Unlimited</span></div>
                          </div>
                          <div class="indicator__line">
                            <div class="indicator-line"></div>
                          </div>
                          <div class="indicator__using"><span class="color-grey">Send as many e-invoices as you want </span></div>
                        </div>
                        <div class="indicator" data-min="3" data-max="5">
                          <div class="indicator__main">
                            <div class="indicator-title">Connected sources (banks)</div>
                            <div class="indicator-counter"><span class="indicator-counter__num _selected">3</span><span class="indicator-counter__num">/</span><span class="indicator-counter__num _general">5</span></div>
                          </div>
                          <div class="indicator__line">
                            <div class="indicator-line _red"></div>
                          </div>
                          <div class="indicator__using"><span class="color-grey">Need more banks to connect? </span><a class="link-common color-grey link-underline" href="#">Upgrade your plan</a></div>
                        </div>
                      </div>
                    </div>
                    <div class="switch-container" data-switch="invoices" style="display: none">
                      <div class="indicators-wrap">
                        <div class="indicator" data-min="6" data-max="8">
                          <div class="indicator__main">
                            <div class="indicator-title">Some title!</div>
                            <div class="indicator-counter"><span class="indicator-counter__num _selected">6</span><span class="indicator-counter__num">/</span><span class="indicator-counter__num _general">8</span></div>
                          </div>
                          <div class="indicator__line">
                            <div class="indicator-line"></div>
                          </div>
                          <div class="indicator__using"><span class="color-grey">Need more? Ok... </span></div>
                        </div>
                        <div class="indicator" data-min="2" data-max="4">
                          <div class="indicator__main">
                            <div class="indicator-title">Some title too</div>
                            <div class="indicator-counter"><span class="indicator-counter__num _selected">2</span><span class="indicator-counter__num">/</span><span class="indicator-counter__num _general">4</span></div>
                          </div>
                          <div class="indicator__line">
                            <div class="indicator-line"></div>
                          </div>
                          <div class="indicator__using"><span class="color-grey">Oh... </span><a class="link-common color-grey link-underline" href="#">This is an empty link!</a></div>
                        </div>
                        <div class="indicator" data-min="3" data-max="8">
                          <div class="indicator__main">
                            <div class="indicator-title">Yeah!</div>
                            <div class="indicator-counter"><span class="indicator-counter__num _selected">3</span><span class="indicator-counter__num">/</span><span class="indicator-counter__num _general">8</span></div>
                          </div>
                          <div class="indicator__line">
                            <div class="indicator-line _red"></div>
                          </div>
                          <div class="indicator__using"><span class="color-grey">Is it a question? </span></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="wrapper-container" data-menu="profile">
              <div class="content">
                <div class="h1">Profile</div>
              </div>
            </div>
            <div class="wrapper-container" data-menu="security">
              <div class="content">
                <div class="h1">Security</div>
              </div>
            </div>
            <div class="wrapper-container" data-menu="notifications">
              <div class="content">
                <div class="h1">Notifications</div>
              </div>
            </div>
            <div class="wrapper-container" data-menu="business">
              <div class="content">
                <div class="h1">Business profile</div>
              </div>
            </div>
            <div class="wrapper-container" data-menu="einvoicing">
              <div class="content">
                <div class="h1">E-invoicing</div>
              </div>
            </div>
            <div class="wrapper-container" data-menu="team">
              <div class="content">
                <div class="h1">Team</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
    <link rel="stylesheet" href="assets/css/common.css?v=1.2.4">
    <script>
      /* изменяемые настройки скриптов, указаны значения по умолчанию */
      var appConfig = {
          /*
          scrollToOffset: 150, // оффсет при скролле до элемента
          scrollToSpeed: 500, // скорость скролла 
          */
      }
    </script>
    <script src="assets/js/vendors~main.bundle.js"></script>
    <script src="assets/js/main.bundle.js?v=1.2.4"></script>
  </body>
</html>

src/views/index.pug
extends _includes/layout

block config
    - var pagetitle = 'Index'
    - var bodyClass = 'dev'

block content
    .content

        .content__title
            .content-plan-name
                h1
                    | Invoicing Start
            .content-plan-change.link-common.color-blue
                | Change plan

        .content__price
            .price
                .price__val.h2
                    | 6,99 €
                .price__period.h4.color-grey
                    | /mo

        .content__card
            span.text-common.color-grey
                | We’ll charge 6,99 € on Jul  24, 2020
            a.link-common.color-blue(href="#")
                | Change card *** 5423  or billing info

        .content__annual
            button.button._blue._switch(type="button")
                span
                    | Switch to annual plan
            .text-common
                | and save 24,00 € a year

        .content__features
            .feature-subtitle 
                h4 
                    | Explore new features &#128171;
            .feature
                .feature-close
                .feature-info
                    .feature-info__title
                        h3.color-blue
                            | Invoicing Premium
                    .feature-info__list
                        ul.list-checks
                            each val in ['Unlimited outgoing e-invoices', 'Unlimited connected banks', '10 users', 'Expense management']
                                li.list-checks__li= val
                .feature-using
                    .feature-using__price
                        .price
                            .price__val.h3
                                | €20,99
                            .price__period.h5
                                | /mo
                    .feature-using__text.color-grey
                        | billed annually or 24.99 € <br>billed monthly
                    .feature-using__button
                        a.button._red(href="#")
                            span 
                                | Upgrade
            
